PLM之家PLMHome

[原创视频] PLM之家-NX9.0 二次开发实例视频31 NXOpen C++创建草图基本特征

2014-4-14 09:48:42 33122 188

  [复制链接]
admin 发表于 2014-2-19 20:30:21 |阅读模式

admin 楼主

2014-2-19 20:30:21

请使用QQ关联注册PLM之家,学习更多关于内容,更多精彩原创视频供你学习!

您需要 登录 才可以下载或查看,没有帐号?注册

x
PLM之家-NX9.0 二次开发实例视频31 NXOpen C++创建基本特征 <1>-草图的创建! ]! z0 Y5 W& g5 t+ j6 E) o6 ~2 b9 |
内容:
: f5 q8 {- x  Z+ }: Z& n
草图作为参数化建模的基础,使用代码实现草图的创建过程,主要是对草图环境的初始化,以及草图约束的添加等问题。; t- x: o, N) t9 i4 q
目的:
. J( b7 ]9 E7 M
在NX中,使用NXOpen C++可以很方便的进行JA的录制,从而发掘草图约束中尺寸约束和几何约束的规律,通过这种方式,可以快速的完成开发。
8 e; e% w. @1 N5 O

NXOpen C++创建草图基本特征

NXOpen C++创建草图基本特征

4 {: N2 F/ g. O  l2 Q1 d' ]  v 31 NXOpen C++创建基本特征-草图的创建(1)项目介绍* R" s, |/ ^  O( h' K  V& [' P
31 NXOpen C++创建基本特征-草图的创建(2)UI设计
1 n8 Z* Z* O/ y5 U0 { 31 NXOpen C++创建基本特征-草图的创建(3)项目创建
. N8 z4 R( z+ [6 z( \' W/ T+ b 31 NXOpen C++创建基本特征-草图的创建(4)草图特征创建, u$ {( ~' \& R* \8 {9 q
31 NXOpen C++创建基本特征-草图的创建(5)添加几何到草图7 v. Y6 s- P0 o; [: w4 o
31 NXOpen C++创建基本特征-草图的创建(6)添加草图几何约束
) v5 }* R; u; B& t* Q1 E 31 NXOpen C++创建基本特征-草图的创建(7)添加草图尺寸约束
" i2 U/ S) ?: R! B; i$ Z3 h; J 31 NXOpen C++创建基本特征-草图的创建(8)尺寸和UI关联# G  o9 u' e0 O* y, h9 T  I

* `! x. f! z" V! Q
7 e- F( m; L. S7 O+ N9 ^

5 |% H0 H; O/ ?7 I& z3 Z: Q0 t6 v0 E8 E% H. H+ g) D
9 u' M: n! d% D, X* e# A
关键代码分享:. h+ r  C" Z  ]1 e- C( z) _; v" X, ?

" ^$ f! E+ }9 L! I( z/ W, z: g7 I0 N* ~, Z5 G
  1. * v4 V, s% W# o" T+ r- Q* W  k
  2. void lesson31_createSkeTCh::createIPSketch()& x& R4 R* e- h) N' z0 c; s; M
  3. {
    / I+ L  z4 u" x: Y2 B
  4. 6 i- J$ M+ h  R
  5.         Sketch *nullSketch(NULL);' O9 m& H' J  J
  6.     SketchInPlaceBuilder *sketchInPlaceBuilder1;6 Z- c2 t, x' t7 `& ]% }
  7.         sketchInPlaceBuilder1 = workPart->Sketches()->CreateNewSketchInPlaceBuilder(nullSketch);4 j& D/ N  b" U) d; J8 l" @- R% F3 u! L
  8.         sketchInPlaceBuilder1->SetPlaneOption(Sketch::PlaneOptionNewPlane);
    + J/ X: V2 n" }0 v) j  D0 p
  9. 6 [+ W5 Y* K5 X' ^
  10.         //sketchInPlaceBuilder1->Plane()->SetMethod(PlaneTypes::MethodTypeFixedZ);; n# |8 h5 v+ x0 R* \! l0 [
  11. 6 C. K* n/ Y4 N- w' j& x; E
  12. 3 i* A: l5 E3 M) L! Z+ f: K* m3 l, E# @
  13.         // add preference
    + Z4 o# M, x/ R9 y2 Q
  14.   c2 Y$ W+ k( M, H1 w9 U
  15.         theSession->Preferences()->Sketch()->SetContinuousAutoDimensioning(false);
    ; u) @! \+ D# U: z, i3 P' G2 C) k8 [

  16. 3 [3 u  ?$ o8 c6 w" {) B. \
  17.         Drafting::PreferencesBuilder *preferencesBuilder1;* ^! D; Z) O9 H/ Z: ^
  18.     preferencesBuilder1 = workPart->SettingsManager()->CreatePreferencesBuilder();4 A. O6 B7 }+ v4 v7 X
  19.         preferencesBuilder1->AnnotationStyle()->DimensionStyle()->SetAngularDimensionValuePrecision(3);; r$ J7 i* g. Y4 D
  20.         preferencesBuilder1->AnnotationStyle()->DimensionStyle()->SetDimensionValuePrecision(3);
    3 s3 ~/ A5 x2 G& u3 k
  21.         preferencesBuilder1->Commit();3 |: p& C- Q) a  |- m1 v
  22. ( _& N( _8 d# b' u
  23.         preferencesBuilder1->Destroy();& G0 X$ F1 h5 |1 ~

  24. , `5 i! J; R3 w! m$ k2 r0 h
  25. 9 Q4 P" {( s: o8 z; M
  26.         NXObject *nXObject1;
    % R" m$ c; H$ [" [
  27.         nXObject1 = sketchInPlaceBuilder1->Commit();
    . k, X: I7 r  n5 p! D6 @3 D

  28. ) k3 s( ?2 |  x2 U6 ~1 @
  29.         Sketch *sketch1(dynamic_cast<Sketch *>(nXObject1));
    . P" n/ @/ R' [& A
  30.     Features::Feature *feature1;0 Y  L9 ^# K3 ?" C# H" ?, h: v
  31.     feature1 = sketch1->Feature();! g5 F# u+ z  E# ^$ v3 l5 k
  32.         feature1->SetName("XY-Plane-Sketch");: t7 t) H8 ?; S; H  F3 D
  33.         1 K+ [: O2 i" Z8 I" a: ?' _; C7 h
  34.         sketchInPlaceBuilder1->Destroy();1 ]! d9 V" c' R$ a
  35. * y' u8 u- X6 S. m/ ^
  36.         //1  active sketch
    " _7 A1 s: D" K4 }  ~
  37. + _+ k! m! A7 R9 \% [) M: k
  38.         sketch1->Activate(Sketch::ViewReorientFalse);9 F' [9 I: L- s) w  Y4 q
  39.         
    3 j" W, }4 |+ u1 ^( E* J3 `3 F
  40.          double height1 = this->expressionHeight1->GetProperties()->GetDouble("Value");( B; ]3 @: s3 j' _* L" d
  41.          double height2 = this->expressionHeight2->GetProperties()->GetDouble("Value");6 j9 N4 Y* ^4 _  j( y1 ^) G7 E
  42.          double length = this->expressionLength->GetProperties()->GetDouble("Value");
    ; |% f) A' W' `4 P/ Y0 D
  43.         // 2.1  create geometry7 p. g) C) F  P$ V& L0 ^( n# y

  44. , a0 M. {2 S# S$ k; n  w, @
  45.         Point3d startPoint1(0.0, 0.0, 0.0);
    " p5 a& n  p4 Y+ f* j
  46.     Point3d endPoint1(0, height1, 0.0);! @4 j+ W, O  ^6 I- t$ ^
  47.     Point3d endPoint2(length, height1, 0.0);+ |8 G& ?2 b; O2 n+ Y% O/ F  Q5 d
  48.         Point3d endPoint3(length, height1-height2, 0.0);
    $ H! F% C: b  E6 T2 T% _
  49.         Point3d origin = sketch1->Origin();
    : R: P& v& r( n
  50.         Point *originPoint = workPart->Points()->CreatePoint(origin);( w$ C( a# S1 E7 C# F: ~

  51. ( L4 T3 H% A% E% b" i" g
  52.         Line *line1,*line2,*line3,*line4;5 n3 s  m  C. W4 t
  53.         line1 = workPart->Curves()->CreateLine(startPoint1, endPoint1);* X2 }- s3 O& u0 G" Z, [2 q
  54.         line2 = workPart->Curves()->CreateLine(endPoint1, endPoint2);
    : _/ z5 M0 k1 R2 D
  55.         line3 = workPart->Curves()->CreateLine(endPoint2, endPoint3);
    : E' S0 j: H1 x7 ]3 P
  56.         line4 = workPart->Curves()->CreateLine(endPoint3, startPoint1);* f) \+ l0 K+ Q9 t7 Y  y4 ]
  57.         // 2.2 add geometry
    & s9 ]0 [" h- [: I) l" ~8 R
  58. 2 u, `9 ^& t) H$ k: H" m' K
  59.         sketch1->AddGeometry(line1,Sketch::InferConstraintsOptionInferCoincidentConstraints);
    ' y2 e1 |7 u3 S
  60.         sketch1->AddGeometry(line2,Sketch::InferConstraintsOptionInferCoincidentConstraints);
      g' g5 }. c: A
  61.         sketch1->AddGeometry(line3,Sketch::InferConstraintsOptionInferCoincidentConstraints);% |& n4 n& U( {/ E/ w
  62.         sketch1->AddGeometry(line4,Sketch::InferConstraintsOptionInferCoincidentConstraints);
    / u! |* [$ K- n- h$ ~1 T' M
  63. 5 U' K  [! _/ J) A% T$ M- a
  64.         //3  add constraints ( gemo)
    + U+ I0 ?$ d% p. w5 s: m
  65. ' A/ [+ }: N) D# y: ^& m; Z4 T
  66.         Sketch::ConstraintGeometry geomline1;) u$ S) {. ?: I
  67.         geomline1.Geometry = line1;8 F' X- r! t, p( {/ y
  68.         geomline1.PointType = Sketch::ConstraintPointTypeNone;
    5 b2 ~, f2 e. H. m( e  j! M$ s
  69.         geomline1.SplineDefiningPointIndex = 0;
    ; c. {8 q) K8 q$ [+ O4 V) J
  70.         sketch1->CreateVerticalConstraint(geomline1);! J0 M5 a. D# q( P

  71. 8 J2 Z# v( h& E0 Q; g/ l* v
  72.         Sketch::ConstraintGeometry geomline2;3 J* A5 @1 X) g1 o  n6 Z6 \
  73.         geomline2.Geometry = line2;# o, h; A# ~, D# ]2 Q8 q: H
  74.         geomline2.PointType = Sketch::ConstraintPointTypeNone;+ _9 x6 ]: q) {5 n; y
  75.         geomline2.SplineDefiningPointIndex = 0;* q7 T8 P/ Z2 q4 Y
  76.         sketch1->CreateHorizontalConstraint(geomline2);# t6 |0 R/ V2 w& A6 P
  77. - W; A) z! z! z5 Q& V! A9 D+ g5 \" e  P
  78.         Sketch::ConstraintGeometry geomline3;7 c/ x/ ]3 ]  m9 ^
  79.         geomline3.Geometry = line3;
    / u( `; J# j$ n& v
  80.         geomline3.PointType = Sketch::ConstraintPointTypeNone;
    6 ?& ~  b+ D' N3 s
  81.         geomline3.SplineDefiningPointIndex = 0;" b& I# z, [# v3 E
  82.         sketch1->CreateVerticalConstraint(geomline3);7 b. y# a1 p& b2 b

  83. , N- E* ~- [3 s/ c
  84.         Sketch::ConstraintGeometry geomline1_startPoint;
    / X! P3 c' ?; ^/ C6 U+ N4 P
  85.         geomline1_startPoint.Geometry = line1;# X/ `! Q, R0 V
  86.         geomline1_startPoint.PointType = Sketch::ConstraintPointTypeStartVertex;: n1 L/ U# B* D$ b. s" Q3 ]- A
  87.         geomline1.SplineDefiningPointIndex = 0;
    - e+ H  u8 l. x9 A
  88.         Sketch::ConstraintGeometry geomline2_originPoint;  ^; `. u6 G- b$ y  b+ c
  89.         geomline2_originPoint.Geometry = originPoint;( u0 n1 u% q# g' p) {; J
  90.         geomline2_originPoint.PointType = Sketch::ConstraintPointTypeNone;
    : m  A: [2 i0 ?+ }# F
  91.         geomline2_originPoint.SplineDefiningPointIndex = 0;2 l5 \: _$ k% w* O0 K: J. V
  92.         sketch1->CreateCoincidentConstraint(geomline1_startPoint,geomline2_originPoint);$ ]- @; y- p9 w" ^
  93. & L9 [$ @( |2 |) G* B1 E
  94.         //4  add constraints (dimension)1 f  m! k8 X' y2 p
  95. ( c- \8 ]/ d% B
  96.          NXObject *nullNXObject(NULL);1 z; O% G( N2 K* n# a: \

  97. 0 \5 H4 E  R) l" d  [

  98. ) n: a5 O% h( m
  99.          stringstream s_height1,s_height2,s_length;
    ) w- A  M9 w# E/ _* S
  100.          s_height1 <<height1;
    2 C( ?- |$ E+ f
  101.          s_height2 <<height2;+ r, o5 ]0 R2 V7 c  x
  102.          s_length <<length;
    9 |1 s5 \$ B5 v) t2 t) H
  103. , b6 n+ G1 f  X2 H
  104.          Expression *expression1,*expression2,*expression3;
    7 ~' }" `; H) w" t! I
  105.          expression1 = workPart->Expressions()->CreateSystemExpression(s_height1.str());5 }8 I9 @. O8 q4 c
  106.     expression2 = workPart->Expressions()->CreateSystemExpression(s_length.str());5 B! W) F; |. f9 U
  107.         expression3 = workPart->Expressions()->CreateSystemExpression(s_height2.str());
    , G# z7 L. h1 U3 {! h" c

  108.   ]& p9 O  h$ P
  109.         // line1 dimension
    : m" D8 z3 p: X/ T7 {
  110. ) g5 L6 A; `9 p. i) A/ g
  111.         Sketch::DimensionGeometry dimLine1_startPoint;3 ^( g+ ]8 X) d6 L/ ]1 X
  112.     dimLine1_startPoint.Geometry = line1;6 V$ q& E% O/ ?3 y) T
  113.     dimLine1_startPoint.AssocType = Sketch::AssocTypeStartPoint;
    ! J  B9 b. X* _4 Z. V( J
  114.     dimLine1_startPoint.AssocValue = 0;
    , B! p, W) E+ f2 ?" @% r
  115.     dimLine1_startPoint.HelpPoint.X = 0.0;
    " }- W, O0 k/ y, H
  116.     dimLine1_startPoint.HelpPoint.Y = 0.0;
    9 z6 ]+ I! w% r  z) h
  117.     dimLine1_startPoint.HelpPoint.Z = 0.0;
    % s8 u# Y5 \$ L2 ]& W1 w
  118.     dimLine1_startPoint.View = nullNXObject;
    " G  `! k! h8 f$ e1 ~

  119. ) t3 H2 `  w4 [0 a
  120.     Sketch::DimensionGeometry dimLine1_endPoint;- [: R, ~/ l: G8 @7 @6 v' d
  121.     dimLine1_endPoint.Geometry = line1;! |. E9 L0 L3 q6 h  X* H9 G; u4 }9 a
  122.     dimLine1_endPoint.AssocType = Sketch::AssocTypeEndPoint;
    % A9 z2 ]; {% Q3 `; y! G
  123.     dimLine1_endPoint.AssocValue = 0;" |) K5 P! n+ |% e& f% L
  124.     dimLine1_endPoint.HelpPoint.X = 0.0;
    6 `. G" u2 d6 E7 E4 E2 v& e
  125.     dimLine1_endPoint.HelpPoint.Y = 0.0;
    : J# T4 d9 V+ V. ~7 D
  126.     dimLine1_endPoint.HelpPoint.Z = 0.0;
    ( {0 J- ?9 ^( X9 L4 m
  127.     dimLine1_endPoint.View = nullNXObject;1 Y: ~2 F& f8 c& X# x; g" C1 ^* B

  128. 9 L! }2 `/ _: W% Z. h7 T
  129.         Point3d dimOrigin1(-100, height1/2, 0.0);! C: _3 T3 q8 A: t; ~

  130. 7 Z3 m3 s. K+ e
  131.         sketch1->CreateDimension(Sketch::ConstraintTypeParallelDim, dimLine1_startPoint, dimLine1_endPoint, dimOrigin1, expression1, Sketch::DimensionOptionCreateAsDriving);
    - y+ J  s$ r  i+ T2 T

  132. . W9 D; H2 j4 K' J% r- q  j

  133. ( @2 |) f1 Q- R6 s8 O9 j1 o
  134.         
    ' c! N. [6 Q8 t5 Y# ?# x
  135.         // line2 dimension . d. P% X# c9 v$ O1 ^
  136. 5 g6 G! j. w/ ]9 m( t3 h
  137.         Sketch::DimensionGeometry dimLine2_startPoint;
    , l+ E. q* D5 U9 |
  138.     dimLine2_startPoint.Geometry = line2;
      N+ Y* @! B# W7 X
  139.     dimLine2_startPoint.AssocType = Sketch::AssocTypeStartPoint;! O3 o/ N! Q7 A; z" n, V: Q# S
  140.     dimLine2_startPoint.AssocValue = 0;2 m: D9 |6 O& b9 p: R
  141.     dimLine2_startPoint.HelpPoint.X = 0.0;
    ; i0 e2 p' x) I
  142.     dimLine2_startPoint.HelpPoint.Y = 0.0;
    ; L$ R) [9 B9 F
  143.     dimLine2_startPoint.HelpPoint.Z = 0.0;
    ! j% L) A/ f+ W! W& d/ Q# F
  144.     dimLine2_startPoint.View = nullNXObject;
    $ }+ b0 e+ Y) H- O
  145. 4 X0 i  f- e* a# E
  146.     Sketch::DimensionGeometry dimLine2_endPoint;
    1 ^/ \- ~9 H' {0 J" ~6 M4 p2 ]
  147.     dimLine2_endPoint.Geometry = line2;
    - Y. v) J; L( P/ `
  148.     dimLine2_endPoint.AssocType = Sketch::AssocTypeEndPoint;+ z0 U5 k( b8 f: x2 s- |
  149.     dimLine2_endPoint.AssocValue = 0;7 K" H6 O$ G3 R. B7 g
  150.     dimLine2_endPoint.HelpPoint.X = 0.0;
    3 O/ i( Y, {3 H, r3 ~$ K
  151.     dimLine2_endPoint.HelpPoint.Y = 0.0;7 K/ e( P8 [2 e) J0 z9 ]
  152.     dimLine2_endPoint.HelpPoint.Z = 0.0;5 d& Z" b' g1 ?* d
  153.     dimLine2_endPoint.View = nullNXObject;
    3 l3 Z2 N( I$ G& D0 G! s: t
  154. & n* W* N9 Y* [$ q- S7 p  Z
  155.         Point3d dimOrigin2(length /2,100 + height1, 0.0);( o0 m, {7 \3 r- B/ I
  156. 0 d: w  r) J* ]4 W) r
  157.         sketch1->CreateDimension(Sketch::ConstraintTypeParallelDim, dimLine2_startPoint, dimLine2_endPoint, dimOrigin2, expression2, Sketch::DimensionOptionCreateAsDriving);
    ) K) b9 i7 s6 v# K& l

  158. 3 m9 s% s  F# [, A9 P* c4 J( L, p& C
  159. 2 U. e8 k1 u/ z. z- S8 U5 f
  160.                 9 P" K' O: q' o. @; u) T
  161.         // line3 dimension 7 T+ z6 j6 A7 Y5 A% H' A

  162. 0 y3 d. E1 Q5 }2 X: v+ k4 W
  163.         Sketch::DimensionGeometry dimLine3_startPoint;
    $ l) J; ^7 _5 h: L- t
  164.     dimLine3_startPoint.Geometry = line3;
    ( `" v8 v+ C4 ]1 N8 X% p4 }( l
  165.     dimLine3_startPoint.AssocType = Sketch::AssocTypeStartPoint;. t- L, G1 B7 G
  166.     dimLine3_startPoint.AssocValue = 0;
    - `6 @2 u7 k9 z+ P8 O
  167.     dimLine3_startPoint.HelpPoint.X = 0.0;. Q- f- z6 Z1 I+ J
  168.     dimLine3_startPoint.HelpPoint.Y = 0.0;
    . w" r1 o4 {7 b% |3 q
  169.     dimLine3_startPoint.HelpPoint.Z = 0.0;
    8 D  F# W+ E4 j9 Y0 R# q4 O# b! L2 P
  170.     dimLine3_startPoint.View = nullNXObject;
    " E) \7 t1 B  d7 f0 K0 z3 q
  171. 3 u* U6 R; M; z8 g4 Y
  172.     Sketch::DimensionGeometry dimLine3_endPoint;
    7 l/ K/ |/ X6 M: j5 |, C
  173.     dimLine3_endPoint.Geometry = line3;
    $ [9 D* `' r, v; t" V2 g1 p
  174.     dimLine3_endPoint.AssocType = Sketch::AssocTypeEndPoint;
    $ b' ?8 @6 k* N5 Z5 E
  175.     dimLine3_endPoint.AssocValue = 0;
    4 O* Q" K. R+ w) Z
  176.     dimLine3_endPoint.HelpPoint.X = 0.0;
    - Q) x# z, I) n
  177.     dimLine3_endPoint.HelpPoint.Y = 0.0;; `& h3 X& J. n. W4 C' f
  178.     dimLine3_endPoint.HelpPoint.Z = 0.0;
    : j9 U* A# v( S- @) Y
  179.     dimLine3_endPoint.View = nullNXObject;5 }- d7 k8 o& m% f! T' R! q* |
  180. # c, K6 b- w$ y4 J( S
  181.         Point3d dimOrigin3( 100 + length, height1-height2+ height2 /2 , 0.0);
    ; V4 e5 s# ]/ M$ k8 x
  182.          
      P/ U" @4 U. ~" @6 y* M! n9 {4 v
  183.         sketch1->CreateDimension(Sketch::ConstraintTypeParallelDim, dimLine3_startPoint, dimLine3_endPoint, dimOrigin3, expression3, Sketch::DimensionOptionCreateAsDriving);8 @' ?" A4 h, Z; k7 g2 U$ T8 A2 D+ R4 }& l
  184. 3 U2 i# a: S1 Y1 Y! n

  185. 0 ~# S4 t& D1 `/ g9 X% x
  186. 7 z" b# V$ a, |& B: \, x+ k
  187.         //5 update & deactive
    / a/ o% S  @8 F/ N0 G2 l! Z
  188.         sketch1->Update();' @; q4 [8 R! L

  189. ; x7 @+ c; o$ [5 I, r0 t0 k: n
  190.         sketch1->Deactivate(Sketch::ViewReorientFalse,Sketch::UpdateLevelModel);
    . G3 L$ P8 ?0 {( Z7 O* I( A# M

  191. # _3 N6 Q' Z' |6 Z9 ]0 T) s
  192.         delete expression1;% a4 a# X# @' U' _
  193.         delete expression2;5 s0 |4 O8 n4 j0 j2 B+ P) N+ B
  194.         delete expression3;( `2 H9 W  V. p/ ]. O0 P
  195.         + p1 v- Z1 J/ T, [% I
  196. }
    ) b) f5 ]+ T5 t$ R
复制代码

5 S! R7 I2 J+ V2 x' Y5 n% V0 m
; ]0 u" f( @! a: y

& r- e" e1 T$ u2 H2 S4 \' L+ Q3 y- H5 E# ~- U1 X
上海点团信息科技有限公司,承接UG NX,CATIA,CREO,Solidworks 等CAx软件,Teamcenter,3D Experience等PLM软件,工业4.0数字化软件的实施\二次开发\培训相关业务,详情QQ 939801026 Tel 18301858168 网址 www.diantuankj.com/ doTeam.tech
回复

使用道具 举报

全部回复186

admin 发表于 2014-2-19 20:30:29

admin 来自 2#

2014-2-19 20:30:29

4 z' F2 K0 S+ l/ L$ ^/ u, J" O b) @6 ], A PLM之家NX9.0二次开发视频教程 31 NXOpen C++草图的创建(1)项目介绍 5 c* m+ b1 ]6 f/ ?% E2 w& M% ]* t. m3 |$ c) f [flash] ! ^2 `8 d1 m; U6 j; E, q1 m6 Q [/flash]7 J$ s, d4 F( |5 ^' f. u0 U. ^ ; B: F3 Z: f$ F+ D) hPLM之家NX9.0二次开发视频教程 31 NXOpen C++草图的创建(2)对话框UI设计 ; ]! l8 E/ W" r, s 9 r$ l8 w; H% L* b; V6 }* x$ P[flash] $ B; {7 N1 B; l4 { [/flash]" F3 L. P" N7 [2 a/ j5 @" N( |2 X 5 a% g4 G0 x8 z 0 o. s5 Y p8 W7 n% u' R' JPLM之家NX9.0二次开发视频教程 31 NXOpen C++草图的创建(3)项目创建# i3 X4 l6 m0 c7 V ^3 U ! _* @5 F7 G2 k. [/ K; s! j [flash] ; l/ {0 O6 m: L; {2 m& d8 a [/flash] 2 q1 u9 d" Z9 r0 u8 {; I# l8 } p7 j. [: R: L: E7 H PLM之家NX9.0二次开发视频教程 31 NXOpen C++草图的创建(4)草图特征创建 / x' w5 j6 g$ g+ u# }: E: w* V. t: c x2 p: z& F [flash] 6 b+ s: H x! Y4 N- ~ [/flash]% q- H" G6 r6 H$ h) M' d b! J# l3 H. p2 v2 ]6 iPLM之家NX9.0二次开发视频教程 31 NXOpen C++草图的创建(5)添加几何到草图 * a# P. n4 ]: Q4 E- L & p z1 p/ _" f' I" i[flash] 5 V+ Q, p8 y( d6 m' N [/flash]7 l/ w' Z: f2 @ T7 l# O' @ - n1 f! u+ G# V% K" h+ w4 F: R: [1 O PLM之家NX9.0二次开发视频教程 31 NXOpen C++草图的创建(6)添加草图几何约束 8 J# [ m) [ n5 U F N {: J/ L; g8 [% c [flash] 0 {+ C6 ~! |- e1 C( v" J* b [/flash] Z4 ~$ V o4 {/ I! q) h ) p' C- P+ e9 I/ ]- s
上海点团信息科技有限公司,承接UG NX,CATIA,CREO,Solidworks 等CAx软件,Teamcenter,3D Experience等PLM软件,工业4.0数字化软件的实施\二次开发\培训相关业务,详情QQ 939801026 Tel 18301858168 网址 www.diantuankj.com/ doTeam.tech
回复 支持 2 反对 0

使用道具 举报

admin 发表于 2017-10-18 20:07:01

admin 来自 187#

2017-10-18 20:07:01



PLM之家NX9.0二次开发视频教程 31 NXOpen C++草图的创建(7)添加草图尺寸约束

上海点团信息科技有限公司,承接UG NX,CATIA,CREO,Solidworks 等CAx软件,Teamcenter,3D Experience等PLM软件,工业4.0数字化软件的实施\二次开发\培训相关业务,详情QQ 939801026 Tel 18301858168 网址 www.diantuankj.com/ doTeam.tech
回复 支持 反对

使用道具 举报

admin 发表于 2017-10-18 20:08:07

admin 来自 188#

2017-10-18 20:08:07


PLM之家-NX9.0二次开发实例31 NXOpen C++草图的创建(8)尺寸和UI关联

上海点团信息科技有限公司,承接UG NX,CATIA,CREO,Solidworks 等CAx软件,Teamcenter,3D Experience等PLM软件,工业4.0数字化软件的实施\二次开发\培训相关业务,详情QQ 939801026 Tel 18301858168 网址 www.diantuankj.com/ doTeam.tech
回复 支持 反对

使用道具 举报

guojie123 发表于 2014-2-20 09:37:02

guojie123 板凳

2014-2-20 09:37:02

支持,不过今天没视频啊
上海点团信息科技有限公司,承接UG NX,CATIA,CREO,Solidworks 等CAx软件,Teamcenter,3D Experience等PLM软件,工业4.0数字化软件的实施\二次开发\培训相关业务,详情QQ 939801026 Tel 18301858168 网址 www.diantuankj.com/ doTeam.tech
回复 支持 反对

使用道具 举报

smthan 发表于 2014-2-26 08:55:50

smthan 地板

2014-2-26 08:55:50

老大,您的教程很给力哟,什么时候才能膜拜呢??
上海点团信息科技有限公司,承接UG NX,CATIA,CREO,Solidworks 等CAx软件,Teamcenter,3D Experience等PLM软件,工业4.0数字化软件的实施\二次开发\培训相关业务,详情QQ 939801026 Tel 18301858168 网址 www.diantuankj.com/ doTeam.tech
回复 支持 反对

使用道具 举报

加持 发表于 2014-2-27 10:55:13

加持 5#

2014-2-27 10:55:13

视频呢,我在等啊
上海点团信息科技有限公司,承接UG NX,CATIA,CREO,Solidworks 等CAx软件,Teamcenter,3D Experience等PLM软件,工业4.0数字化软件的实施\二次开发\培训相关业务,详情QQ 939801026 Tel 18301858168 网址 www.diantuankj.com/ doTeam.tech
回复 支持 反对

使用道具 举报

admin 发表于 2014-3-30 21:32:04

admin 6#

2014-3-30 21:32:04

这部分先更新到这里
上海点团信息科技有限公司,承接UG NX,CATIA,CREO,Solidworks 等CAx软件,Teamcenter,3D Experience等PLM软件,工业4.0数字化软件的实施\二次开发\培训相关业务,详情QQ 939801026 Tel 18301858168 网址 www.diantuankj.com/ doTeam.tech
回复 支持 反对

使用道具 举报

45guop 发表于 2014-4-3 21:57:53

45guop 7#

2014-4-3 21:57:53


# w3 v6 c/ m! U& |. d# m& ]学习一下谢谢
上海点团信息科技有限公司,承接UG NX,CATIA,CREO,Solidworks 等CAx软件,Teamcenter,3D Experience等PLM软件,工业4.0数字化软件的实施\二次开发\培训相关业务,详情QQ 939801026 Tel 18301858168 网址 www.diantuankj.com/ doTeam.tech
回复 支持 反对

使用道具 举报

璀璨の樱之雨 发表于 2014-4-11 10:07:00

璀璨の樱之雨 9#

2014-4-11 10:07:00

想要看看啊
上海点团信息科技有限公司,承接UG NX,CATIA,CREO,Solidworks 等CAx软件,Teamcenter,3D Experience等PLM软件,工业4.0数字化软件的实施\二次开发\培训相关业务,详情QQ 939801026 Tel 18301858168 网址 www.diantuankj.com/ doTeam.tech
回复 支持 反对

使用道具 举报

发表回复

您需要登录后才可以回帖 登录 | 注册

返回列表 本版积分规则

:
管理员
:
xduniverse@qq.com
:
点击这里给我发消息
:
http://www.plmhome.com
:
原西门子NX高级教务员,10多年NX培训,开发咨询,Teamcenter培训实施等

主题2399

帖子3651

积分69466

图文推荐

  • tecnomatix和teamcenter如何共用一个PLMLic

    tecnomatix和teamcenter如何共用一个PLMLicenseSe

  • Tecnomatix 二次开发入门教程 6 实现打开PL

    Tecnomatix 二次开发入门教程 6 实现打开PLM之家

  • Tecnomatix 二次开发入门教程 3 第一个hell

    Tecnomatix 二次开发入门教程 3 第一个hello plm

  • 官方文档,NX12 使用 Python进行二次开发相

    官方文档,NX12 使用 Python进行二次开发相关配

  • NX1926

    有人知道nx1926的这个导出高质量图片的命令为什么

  • 关闭

    站长推荐上一条 /1 下一条

  • 发布新帖

  • 在线客服

  • 微信

  • 客户端

  • 返回顶部